RagTime5ParserInternal::IndexUnicodeParser Struct Reference documentation

Public Member Functions | Public Attributes | List of all members
RagTime5ParserInternal::IndexUnicodeParser Struct Reference

Internal: the helper to read index + unicode string for a RagTime5Parser. More...

Inheritance diagram for RagTime5ParserInternal::IndexUnicodeParser:

## Public Member Functions
| IndexUnicodeParser (RagTime5Parser &, bool readIndex, std::string const &zoneName)
| constructor More...
virtual | ~IndexUnicodeParser ()
| destructor More...
bool | parseData (MWAWInputStreamPtr &input, long endPos, RagTime5Zone &, int n, libmwaw::DebugStream &f)
| try to parse a data More...
Public Member Functions inherited from RagTime5StructManager::DataParser
| DataParser (std::string const &zoneName)
| constructor More...
virtual | ~DataParser ()
| destructor More...
virtual std::string | getZoneName () const
| return the debug name corresponding to a zone More...
virtual std::string | getZoneName (int n) const
| return the debug name corresponding to a field More...

## Public Attributes
bool | m_readIndex
| a flag to know if we need to read the index More...
std::map< int, librevenge::RVNGString > | m_idToStringMap
| the data More...

## Additional Inherited Members
Protected Attributes inherited from RagTime5StructManager::DataParser
std::string | m_name
| the field name More...

## Detailed Description

Internal: the helper to read index + unicode string for a RagTime5Parser.

## Constructor & Destructor Documentation

## § IndexUnicodeParser()

RagTime5ParserInternal::IndexUnicodeParser::IndexUnicodeParser | ( | RagTime5Parser & | ,
|  | bool | readIndex,
|  | std::string const & | zoneName
| ) |  |
| inline

constructor

## § ~IndexUnicodeParser()

RagTime5ParserInternal::IndexUnicodeParser::~IndexUnicodeParser | ( |  | ) |
| virtual

destructor

## Member Function Documentation

## § parseData()

bool RagTime5ParserInternal::IndexUnicodeParser::parseData | ( | MWAWInputStreamPtr & | input,
|  | long | endPos,
|  | RagTime5Zone & | ,
|  | int | n,
|  | libmwaw::DebugStream & | f
| ) |  |
| inlinevirtual

try to parse a data

Reimplemented from RagTime5StructManager::DataParser.

## Member Data Documentation

## § m_idToStringMap

std::map<int, librevenge::RVNGString> RagTime5ParserInternal::IndexUnicodeParser::m_idToStringMap

the data

Referenced by RagTime5Parser::readUnicodeStringList().

## § m_readIndex

bool RagTime5ParserInternal::IndexUnicodeParser::m_readIndex

a flag to know if we need to read the index

The documentation for this struct was generated from the following file:

- RagTime5Parser.cxx